## view.element
Class CountrySelect

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Select
                      view.element.CountrySelect

    public class CountrySelect

extends Select

Constructor Summary
`CountrySelect(java.lang.String name, Country selection)` Constructs the element.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CountrySelect

    public CountrySelect(java.lang.String name,
                         Country selection)

  Constructs the element.

  Parameters:
    `name` - a value for the element's 'name' attribute.
    `selection` - a preselected country if null, the first element will be preselected.